### Method

# Gtk Imageget_storage_type

#### Declaration [src]

    GtkImageType
    gtk_image_get_storage_type (
      GtkImage* image
    )

#### Description [src]

Gets the type of representation being used by the `GtkImage` to store image data.

If the `GtkImage` has no image data, the return value will be `GTK_IMAGE_EMPTY`.

Gets property | `Gtk.Image:storage-type`

#### Return value

Type: `GtkImageType`

Image representation being used.